Duplicati 2.0 no longer compatible with Windows XP #1310

Closed
masgo opened this Issue Feb 24, 2015 · 8 comments

Comments

Projects
None yet
8 participants
@masgo
Contributor

masgo commented Feb 24, 2015

Since the 2.0 version requires .NET 4.5 it is not compatible with windows XP (see http://blogs.msdn.com/b/dotnet/p/dotnet45xp.aspx ).

I know that XP is old and no longer maintained by Microsoft. Therefore I do NOT request to make it compatible with it XP. I just request to:

a) State clearly on the duplicati Homepage (i.e., here: http://www.duplicati.com/howtos/how-to-install-and-run-duplicati-2-0-preview ) that it requires Vista or higher.

b) Provide a better error when running the program under XP. One that just openly says that i will not work. (Right now one gets a message that .NET 4 is required, after this is installed it requests for 4.03, and after this is installed it requests for 4.5 which is not available for XP)

@lucatrv

This comment has been minimized.

Show comment
Hide comment
@lucatrv

lucatrv Feb 26, 2015

I cannot test it because I do not have Windows XP, but I wonder if you can use Mono instead.

lucatrv commented Feb 26, 2015

I cannot test it because I do not have Windows XP, but I wonder if you can use Mono instead.

@renestach

This comment has been minimized.

Show comment
Hide comment
@renestach

renestach Feb 28, 2015

Contributor

a) I just changed the website and added a hint to .NET 4.5

b) That is a standard message that comes from the Windows system. Unfortunately, we cannot change it :-/

Contributor

renestach commented Feb 28, 2015

a) I just changed the website and added a hint to .NET 4.5

b) That is a standard message that comes from the Windows system. Unfortunately, we cannot change it :-/

@renestach renestach closed this Feb 28, 2015

@Athep

This comment has been minimized.

Show comment
Hide comment
@Athep

Athep Feb 28, 2015

I found a workaround:

  1. Install duplicati-2.0.0.79_preview_2015-01-19.zip
  2. Use the auto update feature to update to the latest version.

It works for me, both on XP and SBS 2003 server.

Athep commented Feb 28, 2015

I found a workaround:

  1. Install duplicati-2.0.0.79_preview_2015-01-19.zip
  2. Use the auto update feature to update to the latest version.

It works for me, both on XP and SBS 2003 server.

@pbhj

This comment has been minimized.

Show comment
Hide comment
@pbhj

pbhj Jul 23, 2015

Ah, Athep's workaround for installing 2.0.0.79 works for me on XP. However if I update to the latest version which is now 2.0.0.87 then the program will no longer run. See http://alicious.com/duplicati-google-winxp/ for details (including error message text).

pbhj commented Jul 23, 2015

Ah, Athep's workaround for installing 2.0.0.79 works for me on XP. However if I update to the latest version which is now 2.0.0.87 then the program will no longer run. See http://alicious.com/duplicati-google-winxp/ for details (including error message text).

@kenkendk

This comment has been minimized.

Show comment
Hide comment
@kenkendk

kenkendk Jul 25, 2015

Member

@pbhj Have you tried installing Mono and running it with Mono instead?

Member

kenkendk commented Jul 25, 2015

@pbhj Have you tried installing Mono and running it with Mono instead?

@pbhj

This comment has been minimized.

Show comment
Hide comment
@pbhj

pbhj Mar 18, 2016

@kenkendk I'm just looking at this again to see if there were updates - I haven't tried Mono, how would I run the app using Mono? Is it just a case on installing and running the TrayIcon.exe file and the app uses Mono automatically, or is there more to it? Thanks.

Actually I just tried installing Mono. I had to run the installer update for XP from https://www.microsoft.com/en-gb/download/details.aspx?id=8483. Then I ran the MSI from http://www.mono-project.com/download/#download-win and tried both with and without the GTK# install from that link too. Still tells me to update .NET to version 4.5 when I run the Duplicati.GUI.TrayIcon.exe.

I've also tried removing the Duplicati.GUI.TrayIcon.exe.config file as it appears to set requirements for .NET usage, the TrayIcon.exe program crashes then instead. So perhaps there is a .config file alteration that I need?

pbhj commented Mar 18, 2016

@kenkendk I'm just looking at this again to see if there were updates - I haven't tried Mono, how would I run the app using Mono? Is it just a case on installing and running the TrayIcon.exe file and the app uses Mono automatically, or is there more to it? Thanks.

Actually I just tried installing Mono. I had to run the installer update for XP from https://www.microsoft.com/en-gb/download/details.aspx?id=8483. Then I ran the MSI from http://www.mono-project.com/download/#download-win and tried both with and without the GTK# install from that link too. Still tells me to update .NET to version 4.5 when I run the Duplicati.GUI.TrayIcon.exe.

I've also tried removing the Duplicati.GUI.TrayIcon.exe.config file as it appears to set requirements for .NET usage, the TrayIcon.exe program crashes then instead. So perhaps there is a .config file alteration that I need?

@FootStark

This comment has been minimized.

Show comment
Hide comment
@FootStark

FootStark Mar 18, 2016

Contributor

@pbhj: Did you start the .exe with mono or just by clicking it?
To use mono, you have to call like mono Duplicati.GUI.TrayIcon.exe

Contributor

FootStark commented Mar 18, 2016

@pbhj: Did you start the .exe with mono or just by clicking it?
To use mono, you have to call like mono Duplicati.GUI.TrayIcon.exe

@nerijus

This comment has been minimized.

Show comment
Hide comment
@nerijus

nerijus Nov 21, 2016

I've installed mono on Windows 2003, but running mono Duplicati.GUI.TrayIcon.exe just exits (I can see mono process appearing and disappearing in Task Manager).
mono Duplicati.CommandLine.exe works.

nerijus commented Nov 21, 2016

I've installed mono on Windows 2003, but running mono Duplicati.GUI.TrayIcon.exe just exits (I can see mono process appearing and disappearing in Task Manager).
mono Duplicati.CommandLine.exe works.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment